CIS Logo
tagline: Confidence in the Connected World

Multiple Vulnerabilities in Google Android OS Could Allow for Arbitrary Code Execution

MS-ISAC ADVISORY NUMBER:

2019-088

DATE(S) ISSUED:

09/03/2019

OVERVIEW:

Multiple vulnerabilities have been discovered in the Google Android operating system (OS), the most severe of which could allow for arbitrary code execution. Android is an operating system developed by Google for mobile devices, including, but not limited to, smartphones, tablets, and watches. Successful exploitation of the most severe of these vulnerabilities could allow for arbitrary code execution within the context of a privileged process. Depending on the privileges associated with this application, an attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. If this application has been configured to have fewer user rights on the system, exploitation of the most severe of these vulnerabilities could have less impact than if it was configured with administrative rights.

THREAT INTELLIGENCE:

There are currently no reports of these vulnerabilities being exploited in the wild.

SYSTEMS AFFECTED:

  • Android OS builds utilizing Security Patch Levels issued prior to September 1, 2019

RISK:

Government:
  • Large and medium government entities: HIGH
  • Small government entities: HIGH
Businesses:
  • Large and medium business entities: HIGH
  • Small business entities: HIGH
Home Users:
HIGH

TECHNICAL SUMMARY:

Multiple vulnerabilities have been discovered in Google Android OS, the most severe of which could allow for arbitrary code execution within the context of a privileged process. Details of these vulnerabilities are as follows:

  • Multiple vulnerabilities in Framework that could allow for Escalation of Privileges (CVE-2019-2123, CVE-2019-2174, CVE-2019-2175, CVE-2019-9254)
  • A vulnerability in Framework that could allow for Information Disclosure (CVE-2019-2103)
  • Multiple vulnerabilities in Media framework that could allow for Remote Code Execution (CVE-2019-2176, CVE-2019-2108)
  • Multiple vulnerabilities in System that could allow for Escalation of Privileges (CVE-2019-2115, CVE-2019-2178)
  • A vulnerability in System that could allow for Remote Code Execution (CVE-2019-2177)
  • Multiple vulnerabilities in System that could allow for Information Disclosure (CVE-2019-2179, CVE-2019-2180, CVE-2019-2124)
  • Multiple vulnerabilities in Kernel components that could allow for Escalation of Privileges (CVE-2018-20669, CVE-2019-2181)
  • A vulnerability in NVIDIA components that could allow for Escalation of Privileges (CVE-2018-6240)
  • A vulnerability in NVIDIA components that could allow for Information Disclosure (CVE-2017-5715)
  • Multiple High severity vulnerabilities in Qualcomm components (CVE-2017-17768, CVE-2019-2283, CVE-2019-2316, CVE-2019-10491, CVE-2019-10505, CVE-2019-10505, CVE-2019-2323, CVE-2019-2324, CVE-2019-2325, CVE-2019-2331, CVE-2019-2332, CVE-2019-10512, CVE-2019-10515, CVE-2019-10524, CVE-2019-10529, CVE-2019-10531, CVE-2018-11891)
  • Multiple High severity vulnerabilities in Qualcomm closed-source components (CVE-2019-2275, CVE-2019-2246, CVE-2019-10488, CVE-2019-10495, CVE-2019-10496, CVE-2019-2249, CVE-2019-2285, CVE-2019-10504, CVE-2019-10522, CVE-2019-10534, CVE-2019-10541)
  • Multiple Critical severity vulnerabilities in Qualcomm closed-source components (CVE-2019-2258, CVE-2019-10533)

Successful exploitation of the most severe of these vulnerabilities could allow for arbitrary code execution in the context of a privileged process. These vulnerabilities could be exploited through multiple methods such as email, web browsing, and MMS when processing media files. Depending on the privileges associated with the application, an attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. If this application has been configured to have fewer user rights on the system, exploitation of the most severe of these vulnerabilities could have less impact than if it was configured with administrative rights.

RECOMMENDATIONS:

We recommend the following actions be taken:

  • Apply appropriate updates by Google Android or mobile carriers to vulnerable systems, immediately after appropriate testing.
  • Remind users to only download applications from trusted vendors in the Play Store.
  • Remind users not to visit un-trusted websites or follow links provided by unknown or un-trusted sources.
  • Inform and educate users regarding threats posed by hypertext links contained in emails or attachments, especially from un-trusted sources.

REFERENCES:

CVE:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-5715 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17768 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-6240 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-11891 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-20669 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2103 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2108 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2115 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2123 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2124 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2174 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2175 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2176 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2177 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2178 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2179 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2180 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2181 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2246 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2249 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2258 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2275 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2283 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2285 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2316 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2323 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2324 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2325 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2331 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2332 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9254 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10488 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10491 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10495 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10496 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10504 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10505 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10512 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10515 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10522 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10524 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10529 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10531 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10533 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10534 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10541

Information Hub : Advisories


CONTROL: 1 --- ADVISORY CONTROL: 0
CONTROL: 2 --- ADVISORY CONTROL: 0
CONTROL: 3 --- ADVISORY CONTROL: 0

Pencil White paper 18 Sep 2019
CONTROL: 4 --- ADVISORY CONTROL: 0